/*
 * PanelGestionDatosInternautasRegistrados.java
 *
 * Created on 19 de mayo de 2008, 17:49
 */

package org.casino.gui.atencionInternauta;

/**
 *
 * @author  xaelvil
 */
public class PanelGestionDatosInternautasRegistrados extends javax.swing.JPanel {
    
    /** Creates new form PanelGestionDatosInternautasRegistrados */
    public PanelGestionDatosInternautasRegistrados() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        labelSeleccionInternauta = new javax.swing.JLabel();
        comboSeleccionInternautaRegistrado = new javax.swing.JComboBox();
        panelDatosInternautaRegistrado1 = new org.casino.gui.internauta.PanelDatosInternautaRegistrado();
        botonEliminarInternautaRegistrado = new javax.swing.JButton();
        labelSaldo = new javax.swing.JLabel();
        spinnerSaldo = new javax.swing.JSpinner();
        botonActualizarSaldo = new javax.swing.JButton();

        labelSeleccionInternauta.setText("Internautas Registrados:");

        comboSeleccionInternautaRegistrado.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        comboSeleccionInternautaRegistrado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                comboSeleccionInternautaRegistradoActionPerformed(evt);
            }
        });

        panelDatosInternautaRegistrado1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        botonEliminarInternautaRegistrado.setText("Eliminar Internauta Seleccionado");

        labelSaldo.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelSaldo.setText("Saldo:");

        botonActualizarSaldo.setText("Actualizar Saldo");
        botonActualizarSaldo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonActualizarSaldoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(labelSeleccionInternauta)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(comboSeleccionInternautaRegistrado, javax.swing.GroupLayout.PREFERRED_SIZE, 105, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(botonEliminarInternautaRegistrado, javax.swing.GroupLayout.DEFAULT_SIZE, 283, Short.MAX_VALUE)
                .addContainerGap())
            .addComponent(panelDatosInternautaRegistrado1, javax.swing.GroupLayout.DEFAULT_SIZE, 577, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(labelSaldo, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(spinnerSaldo, javax.swing.GroupLayout.PREFERRED_SIZE, 78, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(botonActualizarSaldo, javax.swing.GroupLayout.DEFAULT_SIZE, 329, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(labelSeleccionInternauta)
                    .addComponent(comboSeleccionInternautaRegistrado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(botonEliminarInternautaRegistrado))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(panelDatosInternautaRegistrado1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(7, 7, 7)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(7, 7, 7)
                        .addComponent(labelSaldo))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addComponent(spinnerSaldo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(botonActualizarSaldo)))
                .addGap(7, 7, 7))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void comboSeleccionInternautaRegistradoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_comboSeleccionInternautaRegistradoActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_comboSeleccionInternautaRegistradoActionPerformed

    private void botonActualizarSaldoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonActualizarSaldoActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_botonActualizarSaldoActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botonActualizarSaldo;
    private javax.swing.JButton botonEliminarInternautaRegistrado;
    private javax.swing.JComboBox comboSeleccionInternautaRegistrado;
    private javax.swing.JLabel labelSaldo;
    private javax.swing.JLabel labelSeleccionInternauta;
    private org.casino.gui.internauta.PanelDatosInternautaRegistrado panelDatosInternautaRegistrado1;
    private javax.swing.JSpinner spinnerSaldo;
    // End of variables declaration//GEN-END:variables
    
}
